Incremental rendering of features does not work when render cache is used

2009-10-27 09:08 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12098

Description

r11831 introduced the feature to cache rendering whenever possible. However this new functionality has disabled the number of features

to draw before updating the display.

History

#1 - 2009-11-30 01:33 AM - Giovanni Manghi

confirmed also under linux with trunk. Is this on purpose?

#2 - 2010-01-10 07:39 AM - Steven Mizuno

Actually, it is partially working on the initial rendering - after a layer is drawn, it is displayed. This appears to be an unintended consequence.

However, the point of caching is to speed up redrawing the map if it is not necessary to re-render a layer, as when a layer is disabled/enabled for view and

the extent hasn't changed, so I don't see a reason for incremental drawing at all.

I would recommend when render caching is enabled, incremental drawing not be used during rendering and be disabled in Settings|Options to indicate

that it is not available.

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-02 04:07 AM - Nathan Woodrow

- Assignee deleted (nobody -)

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Pull Request or Patch supplied set to No
2.4 now has multithreading so this should no longer be a issue.
